> ## Documentation Index
> Fetch the complete documentation index at: https://support.myapps.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Signed attachment download URL for an asset



## OpenAPI

````yaml /api/pixio-api.json get /assets/{id}/download
openapi: 3.1.0
info:
  title: Pixio API
  version: 1.0.0
  description: >-
    Generate AI media, manage assets, inspect credits, and run saved workflows.
    Typical flow: GET /models -> GET /params -> POST /uploads -> POST /generate
    -> poll GET /generations/{id}. See GET /guide for the full protocol.
servers:
  - url: https://beta.pixio.myapps.ai/api/v1
security:
  - ApiKey: []
paths:
  /assets/{id}/download:
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
      - name: source
        in: query
        schema:
          type: string
          enum:
            - upload
            - generated
      - name: redirect
        in: query
        schema:
          type: string
          enum:
            - 'true'
            - 'false'
        description: 302 straight to the file when true
    get:
      summary: Signed attachment download URL for an asset
      responses:
        '200':
          description: '{ url, expiresAt, fileName }'
        '302':
          description: Redirect to file (when redirect=true)
        '404':
          description: Not found
components:
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer
      description: Pixio API key

````